// 
// Copyright (c) 1999 Macromedia, inc.  All Rights Reserved.
// ---------------------------------------------------------
//
// MMInfo.h
//

#ifndef _MMINFO_H_
#define _MMINFO_H_

#ifdef _WIN32	// Windows
	#define MMNOTES_EXPORT	__declspec( dllexport )
#else    // Codewarrior/Mac
	#define MMNOTES_EXPORT	extern
	typedef int BOOL;
	#define TRUE true
	#define FALSE false

	#ifdef __cplusplus
	extern "C" {
	#endif

	#pragma export on    
#endif

typedef int FileHandle;
typedef char InfoKey[64];

struct InfoPrefs
{
	BOOL bUseDesignNotes;
	BOOL bUploadDesignNotes;
};

// Declare the external entry point and linkage
MMNOTES_EXPORT FileHandle OpenNotesFile( const char* mediaFilePath, BOOL bForce=FALSE );
MMNOTES_EXPORT void CloseNotesFile( FileHandle infoHandle );
MMNOTES_EXPORT BOOL SetNote( FileHandle infoHandle, const InfoKey key, const char* value );
MMNOTES_EXPORT BOOL RemoveNote( FileHandle infoHandle, const InfoKey key );
MMNOTES_EXPORT int GetNoteLength( FileHandle infoHandle, const InfoKey key );
MMNOTES_EXPORT BOOL GetNote( FileHandle infoHandle, const InfoKey key, char* valueBuf, int valueBufMaxLen );
MMNOTES_EXPORT int	 GetNotesKeyCount( FileHandle infoHandle );
MMNOTES_EXPORT BOOL GetNotesKeys( FileHandle infoHandle, InfoKey* keyList, int keyListMaxLen );
MMNOTES_EXPORT BOOL GetSiteRootForFile( const char* mediaFilePath, char* siteRootBuf, int siteRootBufMaxLen, InfoPrefs* prefs=NULL );
MMNOTES_EXPORT BOOL GetVersionNum( char* versionNumBuf, int versionNumBufMaxLen );
MMNOTES_EXPORT BOOL GetVersionName( char* versionNameBuf, int versionNameBufMaxLen );
MMNOTES_EXPORT BOOL FilePathToLocalURL( const char* filePath, char* localURL, int localURLMaxLen );
MMNOTES_EXPORT BOOL LocalURLToFilePath( const char* localURL, char* filePath, int filePathMaxLen );

#ifndef _WIN32
	#pragma export off

	#ifdef __cplusplus
	}
	#endif
#endif

#endif	/* _MMINFO_H_ */
